/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
/*
 *  ======== dskt2_config.c ========
 *  DSKT2 scratch configuration file to initialize pre-allocated scratch
 *  heap size for each node priority level.
 */
#include <xdc/std.h>
#include <xdc/runtime/System.h>

#include <ti/sdo/fc/dskt2/dskt2.h>
#include <ti/sdo/fc/dskt2/_dskt2.h>

#ifdef xdc_target__isaCompatible_64P
#include <ti/bios/include/bcache.h>
//#include <ti/bios/include/sys.h>
#endif

#include <stdlib.h>

#if defined(_RTS_MODE)

#ifdef xdc_target__isaCompatible_64P
far DSKT2_CacheWBInvFxn DSKT2_cacheWBInvFxn = BCACHE_wbInv;
//far DSKT2_CacheWBInvFxn DSKT2_cacheWBInvFxn = NULL;
#else
DSKT2_CacheWBInvFxn DSKT2_cacheWBInvFxn = NULL;
#endif


Uns  _DSKT2_DARAM_SCRATCH_SIZES[DSKT2_NUM_SCRATCH_GROUPS] = {
    0,          /* 0 */
    0,          /* 1 */
    0,          /* 2 */
    0,          /* 3 */
    0,          /* 4 */
    0,          /* 5 */
    0,          /* 6 */
    0,          /* 7 */
    0,          /* 8 */
    0,          /* 9 */
    0,          /* 10 */
    0,          /* 11 */
    0,          /* 12 */
    0,          /* 13 */
    0,          /* 14 */
    0,          /* 15*/
    0,          /* 16 */
    0,          /* 17 */
    0,          /* 18 */
    0,          /* 19 */
};

Uns  _DSKT2_SARAM_SCRATCH_SIZES[DSKT2_NUM_SCRATCH_GROUPS] = {
    0,          /* 0 */
    0,          /* 1 */
    0,          /* 2 */
    0,          /* 3 */
    0,          /* 4 */
    0,          /* 5 */
    0,          /* 6 */
    0,          /* 7 */
    0,          /* 8 */
    0,          /* 9 */
    0,          /* 10 */
    0,          /* 11 */
    0,          /* 12 */
    0,          /* 13 */
    0,          /* 14 */
    0,          /* 15*/
    0,          /* 16 */
    0,          /* 17 */
    0,          /* 18 */
    0,          /* 19 */
};

#endif

/*
 *  ======== DSKT2TEST_exit ========
 *  Exit the test
 */
Void DSKT2TEST_exit()
{
    System_printf("TEST EXITING !\n");
    exit(0);
}
/*
 *  @(#) ti.sdo.fc.dskt2.examples; 1, 0, 0,118; 3-1-2011 18:57:24; /db/atree/library/trees/fc/fc-n29x/src/ xlibrary

 */

