/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
/*
 *  ======== usescratch_ti_vtab.c ========
 *  Definition of TEST_TI_ITEST.  
 *
 *  Since ITEST derives from IALG,we also define the sym
 *  TEST_TI_IALG, TI's implementation of the IALG interface.
 */

#include <xdc/std.h>
#include "itest.h"
#include "test_ti.h"
#include "test_ti_priv.h"

#define IALGFXNS \
    &TEST_TI_IALG,        /* module ID */                     \
    TEST_TI_activate,     /* activate */                      \
    TEST_TI_alloc,        /* algAlloc */                      \
    TEST_TI_control,      /* control ops */                   \
    TEST_TI_deactivate,   /* deactivate */                    \
    TEST_TI_free,         /* free */                          \
    TEST_TI_initObj,      /* init */                          \
    NULL,                       /* moved (NULL => not suported) */  \
    TEST_TI_numAlloc      /* numAlloc (NULL => IALG_DEFMEMRECS) */\


/*
 *  ======== TEST_TI_ITEST ========
 *  This structure defines TI's implementation of the ITEST interface
 *  for the TEST_TI module.
 */
ITEST_Fxns TEST_TI_ITEST = {    /* module_vendor_interface */
    IALGFXNS,
};

/*
 *  ======== TEST_TI_IALG ========
 *  This structure defines TI's implementation of the IALG interface
 *  for the TEST_TI module.
 */
/*
#ifdef __TI_COMPILER_VERSION__
asm("_TEST_TI_IALG .set _TEST_TI_ITEST");
#else
*/

/*
 *  We duplicate the structure here to allow this code to be compiled and
 *  run non-DSP platforms at the expense of unnecessary data space
 *  consumed by the definition below.
 */
IALG_Fxns TEST_TI_IALG = {      /* module_vendor_interface */
    IALGFXNS
};

/* #endif */
/*
 *  @(#) ti.sdo.fc.dskt2.examples; 1, 0, 0,118; 3-1-2011 18:57:26; /db/atree/library/trees/fc/fc-n29x/src/ xlibrary

 */

